Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2017716 - Review Request: fides - A python package for Trust Region Optimization
Summary: Review Request: fides - A python package for Trust Region Optimization
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-NEEDSPONSOR FE-DEADREVIEW fedora-neuro, NeuroFedora
TreeView+ depends on / blocked
 
Reported: 2021-10-27 10:36 UTC by AFOLABI, OLUYOSOLA ELIZABETH
Modified: 2022-03-03 00:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-03 00:45:19 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description AFOLABI, OLUYOSOLA ELIZABETH 2021-10-27 10:36:11 UTC
Spec URL: https://pagure.io/fides/raw/main/f/fides.spec
SRPM URL: https://pagure.io/fides/raw/main/f/fides-0.6.2-1.fc36.src.rpm
Description: Fides implements an Interior Trust Region Reflective for boundary constrained optimization problems based on the papers ColemanLi1994 and ColemanLi1996.Accordingly, Fides is named after the Roman goddess of trust and reliability.

fides features include:
-Boundary constrained and unconstrained interior trust-region optimization
-Reflective, truncated and optimization based boundary heuristics
-Exact, 2D and CG subproblem solvers
-BFGS, DFP, SR1, PSB, Broyden (good and bad) and Broyden
 class iterative Hessian Approximation schemes
-SSM, TSSM, FX, GNSBFGS and custom hybrid Hessian Approximations schemes

Fedora Account System Username: oluyosola

Comment 1 Vanessa Christopher 2021-10-28 13:03:53 UTC
This is an unofficial review. I am looking for a sponsor

this looks good

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD (3 clause)". 28 files have unknown
     license. Detailed output of licensecheck in
     /home/vanessa/Desktop/contributions/reviews/2017716-fides/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-fides-0.6.2-1.fc36.noarch.rpm
          fides-0.6.2-1.fc36.src.rpm
python3-fides.noarch: W: spelling-error %description -l en_US subproblem -> sub problem, sub-problem, problem
fides.src: W: spelling-error %description -l en_US subproblem -> sub problem, sub-problem, problem
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
fides.src: W: spelling-error %description -l en_US subproblem -> sub problem, sub-problem, problem
The value of this tag appears to be misspelled. Please double-check.

python3-fides.noarch: W: spelling-error %description -l en_US subproblem -> sub problem, sub-problem, problem
The value of this tag appears to be misspelled. Please double-check.

2 packages and 1 specfiles checked; 0 errors, 2 warnings.

Source checksums
----------------
https://github.com/fides-dev/fides/archive/0.6.2/fides-0.6.2.tar.gz :
  CHECKSUM(SHA256) this package     : 1c79cae738a42c3d366ac72648194d50db6986c2b247c6e2b684063b92b8c910
  CHECKSUM(SHA256) upstream package : 1c79cae738a42c3d366ac72648194d50db6986c2b247c6e2b684063b92b8c910


Requires
--------
python3-fides (rpmlib, GLIBC filtered):
    python(abi)
    python3.10dist(numpy)
    python3.10dist(scipy)



Provides
--------
python3-fides:
    python-fides
    python3-fides
    python3.10-fides
    python3.10dist(fides)
    python3dist(fides)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 2017716
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: C/C++, Ocaml, Perl, Haskell, Java, fonts, PHP, R, SugarActivity
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Adeleye Opeyemi 2021-10-29 06:16:11 UTC
This is an unofficial review and I am looking for a sponsor.

Package looks great.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD (3 clause)". 28 files have unknown
     license. Detailed output of licensecheck in
     /home/ope/2017716-fides/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-fides-0.6.2-1.fc36.noarch.rpm
          fides-0.6.2-1.fc36.src.rpm
python3-fides.noarch: W: spelling-error %description -l en_US subproblem -> sub problem, sub-problem, problem
fides.src: W: spelling-error %description -l en_US subproblem -> sub problem, sub-problem, problem
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
fides.src: W: spelling-error %description -l en_US subproblem -> sub problem, sub-problem, problem
The value of this tag appears to be misspelled. Please double-check.

python3-fides.noarch: W: spelling-error %description -l en_US subproblem -> sub problem, sub-problem, problem
The value of this tag appears to be misspelled. Please double-check.

2 packages and 1 specfiles checked; 0 errors, 2 warnings.



Source checksums
----------------
https://github.com/fides-dev/fides/archive/0.6.2/fides-0.6.2.tar.gz :
  CHECKSUM(SHA256) this package     : 1c79cae738a42c3d366ac72648194d50db6986c2b247c6e2b684063b92b8c910
  CHECKSUM(SHA256) upstream package : 1c79cae738a42c3d366ac72648194d50db6986c2b247c6e2b684063b92b8c910


Requires
--------
python3-fides (rpmlib, GLIBC filtered):
    python(abi)
    python3.10dist(numpy)
    python3.10dist(scipy)



Provides
--------
python3-fides:
    python-fides
    python3-fides
    python3.10-fides
    python3.10dist(fides)
    python3dist(fides)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 2017716
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Python, Shell-api
Disabled plugins: Java, C/C++, SugarActivity, R, Haskell, fonts, Perl, Ocaml, PHP
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Ankur Sinha (FranciscoD) 2021-11-04 20:35:07 UTC
Thanks for your reviews, they're very helpful!

I'm looking at this now.

Comment 4 Ankur Sinha (FranciscoD) 2021-11-04 20:57:07 UTC
My mock build is failing because some tests are failing:



=========================== short test summary info ============================
FAILED tests/test_minimize.py::test_minimize_hess_approx[rosengrad-happ4-bounds_and_init0-2D-True-True-reflect]
FAILED tests/test_minimize.py::test_minimize_hess_approx[rosengrad-happ4-bounds_and_init0-2D-True-True-reflect_single]
FAILED tests/test_minimize.py::test_minimize_hess_approx[rosengrad-happ4-bounds_and_init0-2D-True-True-truncate]
FAILED tests/test_minimize.py::test_minimize_hess_approx[rosengrad-happ4-bounds_and_init0-2D-True-True-mixed]
FAILED tests/test_minimize.py::test_minimize_hess_approx[rosengrad-happ4-bounds_and_init0-2D-True-False-reflect]
FAILED tests/test_minimize.py::test_minimize_hess_approx[rosengrad-happ4-bounds_and_init0-2D-True-False-reflect_single]
FAILED tests/test_minimize.py::test_minimize_hess_approx[rosengrad-happ4-bounds_and_init0-2D-True-False-truncate]
FAILED tests/test_minimize.py::test_minimize_hess_approx[rosengrad-happ4-bounds_and_init0-2D-True-False-mixed]
FAILED tests/test_minimize.py::test_minimize_hess_approx[rosengrad-happ4-bounds_and_init0-2D-False-True-reflect]
FAILED tests/test_minimize.py::test_minimize_hess_approx[rosengrad-happ4-bounds_and_init0-2D-False-True-reflect_single]
FAILED tests/test_minimize.py::test_minimize_hess_approx[rosengrad-happ4-bounds_and_init0-2D-False-True-truncate]
FAILED tests/test_minimize.py::test_minimize_hess_approx[rosengrad-happ4-bounds_and_init0-2D-False-True-mixed]
FAILED tests/test_minimize.py::test_minimize_hess_approx[rosengrad-happ4-bounds_and_init0-2D-False-False-reflect]
FAILED tests/test_minimize.py::test_minimize_hess_approx[rosengrad-happ4-bounds_and_init0-2D-False-False-reflect_single]
FAILED tests/test_minimize.py::test_minimize_hess_approx[rosengrad-happ4-bounds_and_init0-2D-False-False-truncate]
FAILED tests/test_minimize.py::test_minimize_hess_approx[rosengrad-happ4-bounds_and_init0-2D-False-False-mixed]
========== 16 failed, 3370 passed, 1283 warnings in 279.95s (0:04:39) ==========


Did these fail for you too?

In the meantime looks like a new release was made for fides also. Can you please update the package to use it (and maybe that'll fix the failing tests too?)

https://github.com/fides-dev/fides/releases/tag/0.6.3

I'll continue the review then.

Cheers,

Comment 5 AFOLABI, OLUYOSOLA ELIZABETH 2021-11-05 08:27:13 UTC
Thanks for your review, I will look into this and revert.

Comment 6 Ankur Sinha (FranciscoD) 2022-01-31 10:19:57 UTC
Hi Oluyosola,

Anything we can help with to move this along? Please feel free to ping me in the channels and we can do it together if that'll help.

Cheers,
Ankur

Comment 7 Package Review 2022-03-03 00:45:19 UTC
This is an automatic action taken by review-stats script.

The ticket submitter failed to clear the NEEDINFO flag in a month.
As per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
we consider this ticket as DEADREVIEW and proceed to close it.


Note You need to log in before you can comment on or make changes to this bug.